<template>
  <div class="scroll-animation">
    <!-- arrow up -->
    <svg
      class="scroll-animation__arrow"
      width="44"
      height="24"
      viewBox="0 0 44 24"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
    >
      <path
        d="M2 22L22 2L42 22"
        stroke-width="4"
        stroke-linecap="round"
        stroke-linejoin="round"
        class="fill-stroke"
      />
    </svg>

    <!-- mouse -->
    <svg
      class="scroll-animation__animate scroll-animation__mouse"
      width="64"
      height="104"
      viewBox="0 0 64 104"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
    >
      <rect
        x="2"
        y="2"
        width="60"
        height="100"
        rx="30"
        stroke-width="4"
        class="fill-stroke"
      />
      <rect x="29" y="28" width="6" height="20" rx="3" class="fill" />
    </svg>

    <!-- hand -->
    <svg
      class="scroll-animation__animate scroll-animation__hand"
      width="58"
      height="78"
      viewBox="0 0 58 78"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
    >
      <path
        d="M12.5088 44.3958V7.39583C12.5088 4.3125 14.8387 2 17.9452 2C21.0517 2 23.3816 4.3125 23.3816 7.39583V39.7708M34.2544 39V28.9792C34.2544 25.5104 31.9245 23.5833 28.818 23.5833C25.7115 23.5833 23.3816 25.8958 23.3816 28.9792M34.2544 30.5208C34.2544 27.4375 36.5843 25.125 39.6908 25.125C42.7973 25.125 45.1272 27.4375 45.1272 30.5208V38.2292M45.1272 34.375C45.1272 31.2917 46.6804 28.2083 50.5636 28.2083C54.4467 28.2083 56 31.2917 56 34.375V60.5833C56 67.1354 51.3402 76 41.6324 76H24.1582C21.8283 76 14.062 75.2292 10.9555 67.5208C8.49618 61.3542 3.34454 48.25 2.41258 45.1667C1.24764 41.3125 2.8009 39.7708 3.96584 38.2292C4.8978 36.9958 10.0494 32.0625 12.5088 29.75"
        stroke-width="3"
        stroke-linecap="round"
        stroke-linejoin="round"
        class="fill-stroke"
      />
    </svg>

    <!-- arrow down -->
    <svg
      width="44"
      class="scroll-animation__arrow"
      height="24"
      viewBox="0 0 44 24"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
    >
      <path
        d="M42 2L22 22L2 2"
        stroke-width="4"
        stroke-linecap="round"
        stroke-linejoin="round"
        class="fill-stroke"
      />
    </svg>
  </div>
</template>
<script>
export default {
  name: 'ScrollAnimation'
}
</script>
